--- src/libs/CMakeLists.txt	2024-06-02 04:18:38
+++ src/libs/CMakeLists.txt	2024-06-02 04:18:55
@@ -1,21 +1,5 @@
-CPMAddPackage(
-    NAME FTXUI
-    GITHUB_REPOSITORY ArthurSonzogni/FTXUI
-    GIT_TAG bfadcb71658e8622211591d69616eeb9a3bfc90e
-    OPTIONS
-	"FTXUI_BUILD_EXAMPLES off"
-	"FTXUI_ENABLE_INSTALL off"
-	"FTXUI_BUILD_TESTS off"
-)
+find_package(ftxui REQUIRED)
+find_package(cxxopts REQUIRED)
 
-CPMAddPackage(
-    NAME cxxopts
-    GITHUB_REPOSITORY jarro2783/cxxopts
-    GIT_TAG master
-    OPTIONS
-	"CXXOPTS_BUILD_EXAMPLES Off"
-	"CXXOPTS_BUILD_TESTS Off"
-)
-
 add_subdirectory(FileSystemOperations)
 add_subdirectory(JustFastUi)

--- src/CMakeLists.txt	2023-12-18 16:50:27
+++ src/CMakeLists.txt	2024-06-02 04:08:05
@@ -20,7 +20,7 @@
 
 target_include_directories(${EXECUTABLE_NAME} PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}/libs)
 target_link_libraries(${EXECUTABLE_NAME}
-    PRIVATE ftxui::component
+    PUBLIC ftxui-component
     PRIVATE JustFastUi
-    PRIVATE cxxopts
+    # PUBLIC cxxopts
 )

--- CMakeLists.txt	2023-12-18 16:50:27
+++ CMakeLists.txt	2024-06-02 04:06:10
@@ -1,26 +1,5 @@
 cmake_minimum_required(VERSION 3.14 FATAL_ERROR)
 
-# Incldue CPM
-set(CPM_DOWNLOAD_VERSION 0.27.5)
-
-if(CPM_SOURCE_CACHE)
-  set(CPM_DOWNLOAD_LOCATION "${CPM_SOURCE_CACHE}/cpm/CPM_${CPM_DOWNLOAD_VERSION}.cmake")
-elseif(DEFINED ENV{CPM_SOURCE_CACHE})
-  set(CPM_DOWNLOAD_LOCATION "$ENV{CPM_SOURCE_CACHE}/cpm/CPM_${CPM_DOWNLOAD_VERSION}.cmake")
-else()
-  set(CPM_DOWNLOAD_LOCATION "${CMAKE_BINARY_DIR}/cmake/CPM_${CPM_DOWNLOAD_VERSION}.cmake")
-endif()
-
-if(NOT (EXISTS ${CPM_DOWNLOAD_LOCATION}))
-  message(STATUS "Downloading CPM.cmake to ${CPM_DOWNLOAD_LOCATION}")
-  file(DOWNLOAD
-       https://github.com/TheLartians/CPM.cmake/releases/download/v${CPM_DOWNLOAD_VERSION}/CPM.cmake
-       ${CPM_DOWNLOAD_LOCATION}
-  )
-endif()
-
-include(${CPM_DOWNLOAD_LOCATION})
-
 # Start project config
 
 set(PROJECT_DESCRIPTION "Just Fast is a modal file manager, to execute any action you need to select each file and enter a mode (copy, move, delete) once you selected every file and a mode, you can confirm the operation with the confirm key.")
